#
# spec file for package krfb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           krfb
BuildRequires:  libkde4-devel
BuildRequires:  oxygen-icon-theme-large
%if 0%{?suse_version} >= 1320
BuildRequires:  pkgconfig(TelepathyQt4)
%endif
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtst)
Version:        4.11.2
Release:        0
Summary:        Desktop Sharing
License:        GPL-2.0+
Group:          Productivity/Networking/Remote Desktop
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
VNC-compatible server to share KDE desktops.

%prep
%setup -q -n %{name}-%{version}

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build -- -DBUILD_EXPERIMENTAL_TUBES_SUPPORT="on"
  make

%install
  cd build
  %makeinstall
  for i in 128 64 48 32 22 16
  do
     mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/
  done
  cp /usr/share/icons/oxygen/128x128/apps/krfb.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
  cp /usr/share/icons/oxygen/16x16/apps/krfb.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
  cp /usr/share/icons/oxygen/22x22/apps/krfb.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
  cp /usr/share/icons/oxygen/32x32/apps/krfb.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
  cp /usr/share/icons/oxygen/48x48/apps/krfb.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
  cp /usr/share/icons/oxygen/64x64/apps/krfb.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
  cd ..
  %suse_update_desktop_file -r krfb         System   RemoteAccess
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_kde4_bindir}/krfb
%{_kde4_modulesdir}/krfb_*.so
%{_kde4_libdir}/libkrfbprivate.so*
%{_kde4_applicationsdir}/krfb.desktop
%{_kde4_htmldir}/en/krfb/
%{_kde4_appsdir}/krfb/
%{_kde4_servicesdir}/krfb_framebuffer_*.desktop
%{_kde4_servicetypesdir}/krfb-framebuffer.desktop
%{_kde4_iconsdir}/hicolor/*/apps/krfb.*
%if 0%{?suse_version} >= 1320
%{_kde4_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.krfb_rfb_handler.service
%dir %{_kde4_datadir}/telepathy
%dir %{_kde4_datadir}/telepathy/clients
%{_kde4_datadir}/telepathy/clients/krfb_rfb_handler.client
%endif

%changelog
